<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [isFocused](./bitburner.singularity.isfocused.md)

## Singularity.isFocused() method

Check if the player is focused.

**Signature:**

```typescript
isFocused(): boolean;
```
**Returns:**

boolean

True if the player is focused.

## Remarks

RAM cost: 0.1 GB \* 16/4/1

